Subject: Re: Mbox format

From: "Neal A. Dillman" <[email-masked]>
Date: Fri, 03 Apr 98 09:12:47 -0800

Alan,

On Fri, 3 Apr 1998 14:24:06 +0800, Alan Richard Knowles wrote:
>Is there any quick documentation for the mailbox format, Im looking at
>writing a quick hack to convert our ccmail archives to IMAP folders.

	IMAP is a message access protocol, and as such, does not
specify a format for mail storage.  The mailbox format will depend upon
the IMAP server you choose.  Since you are going from cc:Mail to IMAP
you have two (or maybe more?) options that are available with limited
hacking on your part.  Both these options should work with any IMAP
server.

1) Use cc:Mail's IMAP server to make cc:Mail folders available as IMAP
folders.  Then use an IMAP client which understands multiple mail
stores to move all of the messages from cc:Mail to the new server. 
NOTE: "read" flags may not be accurately kept during this move so...

For multiple users, you may wish to use c-client or the Cyrus equiv.
(the name escapes me at the moment, but both are quite capable) to
create a mail mover program  -- again going from IMAP to IMAP.  I
believe there are some basic examples of this in the c-client toolkit
(right Mark?).

2) Use the Influence Migration Toolkit, or an OEM version of the same
(cc-to-Z, etc.), to extract the messages using VIM and move them into
IMAP.

There are also other options using the cc:Mail export format, or using
VIM yourself, but they would require either 1) much more coding or 2)
less functionality.

Hope this helps.

						Regards,
						Neal

*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&
*       Neal A. Dillman        |               [email-masked]               &
*   Glyph Enterprises, Inc.    |---------------------------------------------&
*     1111 Villaverde Lane     |    PGP Public Key: e-mail [email-masked]   &
*    Davis, CA 95616  USA      |     and include subject: @send pgp key@     &
*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&*&

---

From: Arnaud TADDEI <[email-masked]>
Date: Fri, 03 Apr 1998 19:25:48 +0200

On the same topic I am _desperately_ looking for a "working" converter
from MSMail folders to IMAP folders (mbx, unix, bezerk or any other non
proprietary format).

Sorry to bug you with such request on this mailing list.

-- 
-----------------------------------------------------------
Arnaud Taddei           tel:  +41 22 767 9349
IT Division  31 1-016  	fax:  +41 22 767 7155
CERN                    mail: [email-masked]
CH-1211 Geneve 23       URL:  http://wwwcn.cern.ch/~taddei
-----------------------------------------------------------